Subject: Re: bug#57604: [ef]grep usage -> POSIXLY_CORRECT?

From: Paul Eggert <[email-masked]>
Date: Fri, 9 Sep 2022 11:41:49 -0500

On 9/9/22 07:16, Guillem Jover wrote:
> There are now packages that fail to work such as
> apt-file (https://bugs.debian.org/1019329),

 From what I can see, that bug report doesn't say that apt-file fails to 
work, only that apt-file issues a warning and then goes on to work.

> Transitioning away from fgrep/egrep seems like it would be painful as
> that involves lots of upstream projects:

I glanced at those, and didn't see any projects that will stop working, 
only projects that will see annoying warnings. Admittedly I didn't look 
at all the examples, but in the first page of 
<https://codesearch.debian.net/search?q=fgrep&literal=1> (your first 
citation) all the code examples should continue to work.

Could you give examples of programs that actually stop working? That 
would help us consider remedies.